revit二次开发 点投影到面_Revit二次开发示例:DesignOptions

#region Namespaces

usingSystem;usingSystem.Collections;usingSystem.Collections.Generic;usingSystem.Diagnostics;usingAutodesk.Revit.ApplicationServices;usingAutodesk.Revit.Attributes;usingAutodesk.Revit.DB;usingAutodesk.Revit.UI;usingAutodesk.Revit.UI.Selection;#endregion

namespaceDesignOptionReader

{

[Autodesk.Revit.Attributes.Transaction(TransactionMode.Manual)]

[Autodesk.Revit.Attributes.Regeneration(RegenerationOption.Manual)]

[Autodesk.Revit.Attributes.Journaling(JournalingMode.NoCommandData)]public classCommand : IExternalCommand

{publicResult Execute(

ExternalCommandData commandData,ref stringmessage,

ElementSet elements)

{try{

Application application=commandData.Application.Application;

ElementClassFilter filter= new ElementClassFilter(typeof(Autodesk.Revit.DB.DesignOption));

FilteredElementCollector collector= newFilteredElementCollector(commandData.Application.ActiveUIDocument.Document);

collector.WherePasses(filter);

IEnumerator iter=collector.GetElementIdIterator();

Element element;

ElementSet designOptions= newElementSet();while(iter.MoveNext())

{

element= iter.Current asElement;if (element.GetType().Equals(typeof(Autodesk.Revit.DB.DesignOption)))

{

designOptions.Insert(element);

}

}if (designOptions.Size > 0)

{

DesignOptionsDialog dialog= newDesignOptionsDialog();foreach (Element elem indesignOptions)

{

dialog.DesignOptionsList.Items.Add(elem.Name);

}

dialog.ShowDialog();

}else{

TaskDialog.Show("DesignOptions","There are no design options in this document");

}

}catch(Exception ex)

{

message=ex.Message;returnResult.Failed;

}returnResult.Succeeded;

}

}

}

评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值